Bug 198174 - ldd -r reports undefined symbols
ldd -r reports undefined symbols
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: agg (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
: Reopened
Depends On:
Blocks: ldd-r-kh
  Show dependency treegraph
 
Reported: 2006-07-10 08:57 EDT by Karsten Hopp
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 2.4-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-11 10:00:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karsten Hopp 2006-07-10 08:57:01 EDT
Note: ldd can't handle dlopen'ed dependent libraries and these unresolved symbols
might be resolved by those. But this needs to be checked.

agg-devel-2.4-1 undefined symbol: _ZN3agg10curve3_inc19approximation_scaleEd (/usr/lib/libaggfontfreetype.so) undefined symbol: _ZN3agg10curve4_div4initEdddddddd (/usr/lib/libaggfontfreetype.so) undefined symbol: _ZN3agg10curve3_div4initEdddddd (/usr/lib/libaggfontfreetype.so) undefined symbol: _ZN3agg10curve3_inc4initEdddddd (/usr/lib/libaggfontfreetype.so) undefined symbol: _ZN3agg10curve3_inc6vertexEPdS1_ (/usr/lib/libaggfontfreetype.so) undefined symbol: _ZN3agg10curve4_inc6vertexEPdS1_ (/usr/lib/libaggfontfreetype.so) undefined symbol: _ZN3agg10curve4_inc19approximation_scaleEd (/usr/lib/libaggfontfreetype.so) undefined symbol: _ZN3agg10curve4_inc4initEdddddddd (/usr/lib/libaggfontfreetype.so)
Comment 2 Caolan McNamara 2006-07-10 10:16:17 EDT
now as in new fixed agg 2.4-2

[root@soulcrusher i386]# ldd -r /usr/lib/libaggfontfreetype.so
        linux-gate.so.1 =>  (0xb7fbd000)
        libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0x00af5000)
        libz.so.1 => /usr/lib/libz.so.1 (0x0012d000)
        libagg.so.2 => /usr/lib/libagg.so.2 (0x003d1000)
        libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0x00140000)
        libm.so.6 => /lib/libm.so.6 (0x0022d000)
        libc.so.6 => /lib/libc.so.6 (0x00679000)
        libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x00c43000)
        /lib/ld-linux.so.2 (0x00bc4000)
Comment 3 Karsten Hopp 2006-07-11 09:51:56 EDT
i386 is fixed, but there are still some issues on x86_64:

agg-devel-2.4-2
  undefined symbol: _Z8agg_mainiPPc       (/usr/lib64/libaggplatformsdl.so)
  undefined symbol: _Z8agg_mainiPPc       (/usr/lib64/libaggplatformX11.so)
  
Comment 4 Caolan McNamara 2006-07-11 10:00:16 EDT
no, not those ones. They exist under ix86 as well

ldd -r /usr/lib/libaggplatformsdl.so
undefined symbol: _Z8agg_mainiPPc       (/usr/lib/libaggplatformsdl.so)

c++filt _Z8agg_mainiPPc -> agg_main(int, char**)

an app that links against those libs is supposed to provide an agg_main, so I
don't believe there is a problem there
Comment 5 Karsten Hopp 2006-07-11 10:03:20 EDT
ok. Thanks for the clarification

Note You need to log in before you can comment on or make changes to this bug.